Apache JMeter

## org.apache.jmeter.extractor
Class JSR223PostProcessor

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.JSR223TestElement
              org.apache.jmeter.extractor.JSR223PostProcessor

All Implemented Interfaces:
  Serializable, Cloneable, PostProcessor, TestBean, TestElement

    public class JSR223PostProcessor

extends JSR223TestElement
implements Cloneable, PostProcessor, TestBean

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JSR223PostProcessor()`

Method Summary
`void` `process()` Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

Methods inherited from class org.apache.jmeter.util.JSR223TestElement
`clone, getFilename, getManager, getParameters, getScript, getScriptLanguage, initManager, processFileOrScript, readResolve, setFilename, setParameters, setScript, setScriptLanguage`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSR223PostProcessor

    public JSR223PostProcessor()

Method Detail

### process

    public void process()

  Description copied from interface: `PostProcessor`
  Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

  Specified by:
    `process` in interface `PostProcessor`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.